
Foreman - Feature #362

Expose defined host list via query interface

08/11/2010 09:38 PM - Jon Fautley

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

RFE: Extend the query interface to provide a list of all defined hosts.

The current setup requires specifying a fact to match on - I'd suggest making this optional, while still retaining the ability to select

all/active/out-of-date hosts using the query interface.

Related issues:

Has duplicate Foreman - Feature #228: Query interface requires a fact or a cl... Closed

Associated revisions

Revision 0f2c33bc - 08/15/2010 01:48 PM - Ohad Levy

fixes #362 - Expose defined host list via query interface

Revision a541cdd9 - 08/16/2010 09:30 AM - Ohad Levy

fixes #362 - query interface provides hostname only unless verbose mode

is enabled... this entire code will be refactored to optimize

performance.

History

#1 - 08/15/2010 01:48 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 0f2c33bc4be1d03043902227c3e51b1537fbfd82.

#2 - 08/15/2010 01:49 PM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.1-6

#3 - 08/16/2010 09:59 AM - Ohad Levy

Applied in changeset a541cdd9caa044b608db1a167de4c001df67b8b9.

#4 - 08/28/2010 09:40 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 10/16/2018 01:32 PM - Tomer Brisker

- Category changed from 19 to Search
